OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors
Interface EventHandler

All Known Implementing Classes:
  Eventd, EventHandlerMBeanProxy

public interface EventHandler

This interface provides the contract that implementor must implement in order to receive events from adaptors.

Author:
  Brian Weaver , OpenNMS

Method Summary
`boolean` `processEvent(Event event)`
`void` `receiptSent(EventReceipt receipt)`

Method Detail

### processEvent

    public boolean processEvent(Event event)

### receiptSent

    public void receiptSent(EventReceipt receipt)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.